/***
*		TimeToggleGadget.h -- gadget to toggle between music/smpte time
*		 1994 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
  16 Jan 94 | created (ui:icons/brushes/MusicTime.br & SmpteTime.br)
   9 Feb 94 | new music time image (ui:icons/brushes/MusicTime2.br) that
	         | is more consistent with b&p imagery
*/

#ifndef TIMETOGGLE_GADGET_H
#define TIMETOGGLE_GADGET_H

#ifndef INTUITION_INTUITION_H
 #include <intuition/intuition.h>
#endif

#ifndef TIMETOGGLE_GADGET_ID
 #define TIMETOGGLE_GADGET_ID 669
#endif


static USHORT const __chip _MusicTime_ImageData[] = {
/* this poop is ui:icons/brushes/MusicTime2.br */
	0xFFFF,0xF000,0xC000,0x3000,0xDF7D,0xB000,0xC000,0x3000,
	0xDF6D,0xB000,0xC000,0x3000,0xDB7F,0xB000,0xC000,0x3000,
	0xC000,0x3000,0xFFFF,0xF000,0x0000,0x1FFF,0x3FFD,0xFFFF,
	0x2000,0x7FFF,0x2000,0x7FFF,0x2000,0x7FFF,0x2000,0x7FFF,
	0x2000,0x7FFF,0x2000,0x7FFF,0x3FFF,0xFFFF,0x7FFF,0xFFFF,
	0x0000,0x0FFF,0x0000,0x0FFF,0x0000,0x0FFF,0x0000,0x0FFF,
	0x0000,0x0FFF,0x0000,0x0FFF,0x0000,0x0FFF,0x0000,0x0FFF,
	0x0000,0x0FFF,0x0000,0x0FFF


/* this poop is ui:icons/brushes/MusicTime.br
	0xFFFF,0xF000,0xC000,0x3000,0xC000,0x3000,0xC000,0x3000,
	0xC000,0x3000,0xC000,0x3000,0xC000,0x3000,0xC000,0x3000,
	0xC000,0x3000,0xFFFF,0xF000,0x0000,0x1FFF,0x3E01,0xFFFF,
	0x3EFD,0xFFFF,0x3E01,0xFFFF,0x3EFD,0xFFFF,0x3EF1,0xFFFF,
	0x38E1,0xFFFF,0x30F3,0xFFFF,0x39FF,0xFFFF,0x7FFF,0xFFFF,
	0x0000,0x0FFF,0x0000,0x0FFF,0x0000,0x0FFF,0x0000,0x0FFF,
	0x0000,0x0FFF,0x0000,0x0FFF,0x0000,0x0FFF,0x0000,0x0FFF,
	0x0000,0x0FFF,0x0000,0x0FFF
*/
};

static struct Image _MusicTime_Image = {
	0,0,
	20,10,
	3,
	_MusicTime_ImageData,
	0x0007,0x0000,
	NULL
};

static USHORT const __chip _SmpteTime_ImageData[] = {
	0xFFFF,0xFFFF,0xC000,0x3FFF,0xC5CA,0x3FFF,0xC128,0x3FFF,
	0xC402,0x3FFF,0xC1C8,0x3FFF,0xC52A,0x3FFF,0xC000,0x3FFF,
	0xC52A,0x3FFF,0xFFFF,0xFFFF,0x0000,0x1000,0x3000,0xF000,
	0x3040,0xF000,0x3070,0xF000,0x3000,0xF000,0x3040,0xF000,
	0x3070,0xF000,0x3000,0xF000,0x3070,0xF000,0x7FFF,0xF000,
	0x0000,0x0FFF,0x0000,0x0FFF,0x0030,0x0FFF,0x00D0,0x0FFF,
	0x0000,0x0FFF,0x0030,0x0FFF,0x00D0,0x0FFF,0x0000,0x0FFF,
	0x00D0,0x0FFF,0x0000,0x0FFF
};

static struct Image _SmpteTime_Image = {
	0,0,
	20,10,
	3,
	_SmpteTime_ImageData,
	0x0007,0x0000,
	NULL
};

struct Gadget TimeToggleGadget = {
	NULL,
	-83,2,
	20,10,
	GADGHIMAGE+GADGIMAGE+GRELRIGHT,
	GADGIMMEDIATE+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&_MusicTime_Image,
	(APTR)&_SmpteTime_Image,
	NULL,
	NULL,
	NULL,
	TIMETOGGLE_GADGET_ID,
	NULL
};

#endif